# getNFTokenID | xrpl
Documentation for xrpl

# Function getNFTokenID

- getNFTokenID(meta: TransactionMetadata ): string | undefined

- Gets the NFTokenID for an NFT recently minted with NFTokenMint.

  ### Returns

  The NFTokenID for the minted NFT.

  ### Throws

  if meta is not TransactionMetadata.

  #### Parameters

  - ##### meta: TransactionMetadata

    Metadata from the response to submitting an NFTokenMint transaction.

  #### Returns string | undefined

  - Defined in packages/xrpl/src/utils/getNFTokenID.ts:25

Generated using TypeDoc